/*

 x1541.h

 Written by
  Kajtar Zsolt <soci@c64.rulez.org>

    This file is part of IDEDOS the IDE64 disk operating system
    See README for copyright notice.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _X1541_H
#define _X1541_H
#include "driver.h"

#define X1541_HOG    0x10000
#define X1541_DEVICE 0x20000
#define X1541_X1541  0x00000
#define X1541_XE1541 0x40000
#define X1541_XM1541 0x80000
#define X1541_XA1541 0xc0000
#define X1541_MODE   0xc0000
extern struct io_ops_s x1541_io_ops;
#endif
